using Kingdee.BOS.Core.Bill;
using Kingdee.BOS.Core.DynamicForm;
using Kingdee.BOS.Core.Metadata;
using Kingdee.BOS.Core.Report;
using Kingdee.BOS.Core.Report.PlugIn;
using Kingdee.BOS.Core.Report.PlugIn.Args;
using Kingdee.BOS.Util;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace LQKJ.K3.NDR.NewReportPlugIn
{
    [HotUpdate,Description("双击插件")]
   public class CellDouble: AbstractSysReportPlugIn
    {
        public override void CellDbClick(CellEventArgs Args)
        {
            base.CellDbClick(Args);
            string FID = this.SysReportView.SelectedDataRows[0][0].ToString(); //FID
            BillShowParameter para = new BillShowParameter();
            para.OpenStyle.ShowType = ShowType.Modal;
            para.FormId = "LQKJ_GBMFYHZMXDJ";
            para.Status = OperationStatus.EDIT;
            para.PKey = FID;
            para.ParentPageId = this.View.ParentFormView.PageId;
            this.View.ShowForm(para);
        }
    }
}
